package ${domain}.module.wsvr.ent;

import com.alibaba.excel.annotation.ExcelProperty;
import ${domain}.frame.base.BaseEntity;
import ${domain}.frame.excel.annotation.ExcelNote;
import ${domain}.frame.excel.annotation.ExcelSheet;

/**
 * LOGERR - 错误日志
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-07-06
 */
@ExcelSheet("错误日志")
public class Logerr extends BaseEntity {

    /**
     * LOG_TYPE - 日志类型
     */
    @ExcelProperty("日志类型")
    @ExcelNote("")
    private String logType;
    /**
     * LOG_TITLE - 任务标题
     */
    @ExcelProperty("任务标题")
    @ExcelNote("")
    private String logTitle;
    /**
     * LOG_NOTE - 日志描述
     */
    @ExcelProperty("日志描述")
    @ExcelNote("")
    private String logNote;
    /**
     * LOG_STATE - 日志状态
     */
    @ExcelProperty("日志状态")
    @ExcelNote("")
    private String logState;

    public String getLogType() {
        return this.logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }

    public String getLogTitle() {
        return this.logTitle;
    }

    public void setLogTitle(String logTitle) {
        this.logTitle = logTitle;
    }

    public String getLogNote() {
        return this.logNote;
    }

    public void setLogNote(String logNote) {
        this.logNote = logNote;
    }

    public String getLogState() {
        return this.logState;
    }

    public void setLogState(String logState) {
        this.logState = logState;
    }
}